Bug 223363 - libc sprintf produces incorrect output for %%E
libc sprintf produces incorrect output for %%E
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 18:28 EST by Matt Fago
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 05:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase (191 bytes, text/x-csrc)
2007-01-18 18:28 EST, Matt Fago
no flags Details

  None (edit)
Description Matt Fago 2007-01-18 18:28:40 EST
Description of problem:

sprintf produces incorrect results with "%%E" format.

Version-Release number of selected component (if applicable):

Most up to date libc on fc6.

How reproducible: 100%

Steps to reproduce:
1) Compile the attached file via:
gcc -o sprintf-bug sprintf-bug.c
2) run
  
Actual results:
Here 6.953144E-310
Here %E
Here %E


Expected results:
Here %E
Here %E
Here %E

Additional info:

Is this libc or gcc? I have not had much luck with libc's bugzilla but I'll try
again tomorrow.
Comment 1 Matt Fago 2007-01-18 18:28:40 EST
Created attachment 145953 [details]
Testcase
Comment 2 Matt Fago 2007-01-19 08:58:09 EST
I plead temporary insanity. Please close as "INVALID" or similar.

It would be nice if gcc could produce the warning "invalid number of arguments to printf" but I can 
understand why it does not.

Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.